net.minecraftforge.client.event

## Class GuiScreenEvent.InitGuiEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.GuiScreenEvent
    - - net.minecraftforge.client.event.GuiScreenEvent.InitGuiEvent

- Direct Known Subclasses:
    GuiScreenEvent.InitGuiEvent.Post, GuiScreenEvent.InitGuiEvent.Pre
  Enclosing class:
    GuiScreenEvent

      public static class GuiScreenEvent.InitGuiEvent
      extends GuiScreenEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GuiScreenEvent.InitGuiEvent.Post` This event fires right after `GuiScreen.initGui()`.
    `static class` | `GuiScreenEvent.InitGuiEvent.Pre` This event fires just after initializing `GuiScreen.mc`, `GuiScreen.fontRendererObj`, `GuiScreen.width`, and `GuiScreen.height`, and just before calling `GuiScreen.buttonList.clear()` and `GuiScreen.initGui()`.

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.GuiScreenEvent

      `GuiScreenEvent.ActionPerformedEvent, GuiScreenEvent.DrawScreenEvent, GuiScreenEvent.InitGuiEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List` | `buttonList` The `buttonList` field from the GuiScreen object referenced by `gui`.

    - ### Fields inherited from class net.minecraftforge.client.event.GuiScreenEvent

      `gui`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiScreenEvent.InitGuiEvent(GuiScreen gui, java.util.List buttonList)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buttonList

          public java.util.List buttonList

      The `buttonList` field from the GuiScreen object referenced by `gui`.

  - ### Constructor Detail

    - #### GuiScreenEvent.InitGuiEvent

          public GuiScreenEvent.InitGuiEvent(GuiScreen gui,
                                     java.util.List buttonList)